<?php
date_default_timezone_set('America/Lima');
class cCotizacion {
function autocomplet_productos($nom,$codbar,$est,$limit,$tip,$monid)
	{
		// $sql="SELECT * FROM tb_almacen alm 
		// INNER JOIN tb_stock st on alm.tb_almacen_id = st.tb_almacen_id	
		// INNER join tb_presentacion pre on st.tb_presentacion_id = pre.tb_presentacion_id
		// INNER JOIN tb_catalogo ct ON pre.tb_presentacion_id=ct.tb_presentacion_id
		// INNER JOIN tb_unidad u ON ct.tb_unidad_id_equ=u.tb_unidad_id
		// INNER JOIN tb_producto pro on pre.tb_producto_id = pro.tb_producto_id
		// INNER join tb_articulotipo ar on pro.tb_articulotipo_id = ar.tb_articulotipo_id
		// INNER JOIN tb_categoria c ON pro.tb_categoria_id=c.tb_categoria_id
		// INNER JOIN tb_marca m ON pro.tb_marca_id=m.tb_marca_id
		// WHERE pro.tb_producto_xac=1
		// AND ct.tb_catalogo_verven=1		
		// AND pro.tb_articulotipo_id!='1'	
		// ";
		
		
		$sql="SELECT * 
		FROM tb_producto p
		INNER join tb_articulotipo ar on p.tb_articulotipo_id = ar.tb_articulotipo_id
		INNER JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id
		INNER JOIN tb_presentacion pr ON p.tb_producto_id=pr.tb_producto_id
		INNER JOIN tb_catalogo ct ON pr.tb_presentacion_id=ct.tb_presentacion_id
		INNER JOIN tb_unidad u ON ct.tb_unidad_id=u.tb_unidad_id
		WHERE tb_producto_xac=1
		AND ct.tb_catalogo_vercom=1
		AND ar.tb_articulotipo_sto = 1 ";
		
		// if($tip>0){ 
		
		// if($tip==4){ 
			// $sql.= "AND p.tb_articulotipo_id='$tip'";
		// }
		// else if($tip==1) 
		// {
			// $sql.= "AND p.tb_articulotipo_id='1' or p.tb_articulotipo_id='2' ";
		// }
		// }		
		if($nom!="") $sql .= " AND p.tb_producto_nom LIKE '$nom' ";
		// if($codbar!="") $sql .= " AND tb_presentacion_codbar = '$codbar' ";
		// if($est!="") $sql .= " AND tb_producto_est = '$est' ";
		
		$sql.="group by p.tb_producto_id ";
		if($limit>0)$sql.=" LIMIT 0,$limit ";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;		  
	}
	
	
	
	
	function insertar($fec,$doc_id,$numdoc,$cli_id,$cli_nom,$cli_dir,$cli_pla,$valven,$des,$igv,$tot,$dia,$mec_id,
	$est,$ven_id,$usu_id,$mon_id,$tipcam,$punvenid,$genven,$edi,$obs){
		$now =  date('Y-m-d h:i:s a');
		$sql = "INSERT INTO tb_cotizacion(
		`tb_cotizacion_reg` ,
		`tb_cotizacion_fec` ,
		`tb_documento_id` ,
		`tb_cotizacion_numdoc` ,
		`tb_cliente_id` ,
		`tb_cliente_nom` ,
		`tb_cliente_dir` ,
		`tb_cliente_pla` ,
		`tb_cotizacion_valven` ,
		`tb_cotizacion_des`,
		`tb_cotizacion_igv`,
		`tb_cotizacion_tot`,
		`tb_cotizacion_dia`,
		`tb_mecanico_id`,
		`tb_cotizacion_est`,
		`tb_vendedor_id`,
		`tb_usuario_id`,
		`tb_moneda_id`,
		`tb_cotizacion_tipcam`,
		`tb_puntoventa_id`,
		`tb_cotizacion_genven`,
		`tb_cotizacion_edi`,
		`tb_cotizacion_obs`
		)
		VALUES ('$now' ,'$fec',  '$doc_id',  '$numdoc',  '$cli_id','$cli_nom','$cli_dir','$cli_pla', '$valven',  '$des', '$igv',  
		'$tot','$dia','$mec_id', '$est', '$ven_id', '$usu_id','$mon_id','$tipcam','$punvenid','$genven','$edi','$obs' )"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql) or die ('false');
		return $rst;	
	}
	
	
		function editar($valven,$des,$igv,$tot,$cotid){
		$sql = "UPDATE tb_cotizacion SET
		`tb_cotizacion_valven`='$valven' ,
		`tb_cotizacion_des` = '$des',
		`tb_cotizacion_igv`= '$igv' ,
		`tb_cotizacion_tot` = '$tot'
		 where tb_cotizacion_id = '$cotid'
		 "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	
		function insertar_detalle($cat_cod,$cat_id,$mar_id,$nom,$can,$valuni,$des,$cot_id){
		$sql = "INSERT INTO tb_cotizaciondetalle(
		`tb_catalogo_cod` ,
		`tb_catalogo_id` ,
		`tb_marca_id` ,
		`tb_cotizaciondetalle_nom` ,
		`tb_cotizaciondetalle_can` ,
		`tb_cotizaciondetalle_valuni` ,
		`tb_cotizaciondetalle_des` ,
		`tb_cotizacion_id`
		)
		VALUES ('$cat_cod','$cat_id','$mar_id','$nom','$can','$valuni','$des','$cot_id');"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function insertar_docrelacionado($cotid,$venid,$numdoc,$tip){
			$now =  date('Y-m-d h:i:s a');
		$sql = "INSERT INTO tb_cotizaciondocrelacionado(
		`tb_cotizacion_docrelacionado_reg`,
		`tb_cotizacion_id`,
		`tb_venta_id`,
		`tb_venta_numdoc`,
		`tb_cotizacion_docrelacionado_tip`
		)
		VALUES ('$now','$cotid','$venid','$numdoc','$tip');"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function mostartDocrelacionado($cotid){		
		$sql = "select * from tb_cotizaciondocrelacionado where tb_cotizacion_id = '$cotid'"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	/* function mostartDocrelacionado_correo($cotid){		
		$sql = "select * from tb_cotizaciondocrelacionado cr 
		inner join tb_cotizacion cot on cot.tb_cotizacion_id = cr.tb_cotizacion_id
		left join tb_empresa emp on emp.tb_empresa_id = cot.tb_empresa_id
		left join tb_cliente cli on cli.tb_cliente_id = cot.tb_cliente_id
		where cr.tb_cotizacion_id = '$cotid'"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	} */
	function editar_detalle($cat_cod,$cat_id,$mar_id,$nom,$can,$valuni,$des,$detcot_id){
		$sql = "UPDATE tb_cotizaciondetalle SET
		`tb_catalogo_cod` = '$cat_cod' ,
		`tb_catalogo_id` = '$cat_id' ,
		`tb_marca_id` = '$mar_id' ,
		`tb_cotizaciondetalle_nom` = '$nom',
		`tb_cotizaciondetalle_can` = '$can' ,
		`tb_cotizaciondetalle_valuni` = '$valuni' ,
		`tb_cotizaciondetalle_des` = '$des' 
		 where tb_cotizaciondetalle_id = '$detcot_id'
		 "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function ultimoInsert(){
		$sql = "select max(tb_cotizacion_id) as 'id' from tb_cotizacion"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function modificar_campo($id,$campo,$valor){
		$sql = "UPDATE tb_cotizacion SET
		`tb_cotizacion_$campo` =  '$valor' 
		WHERE tb_cotizacion_id ='$id' ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function eliminardetalle($detid){
		$sql = "delete from tb_cotizaciondetalle WHERE tb_cotizaciondetalle_id = '$detid' ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	
	function filtrar($fec1, $fec2, $cli_id, $docnum, $mon_id, $cmb_est,$punven_id){
		$sql = "SELECT pv.tb_empresa_id as 'empid',cot.*,c.*,u.*,emp.*,pv.* FROM tb_cotizacion cot
		INNER JOIN tb_documento d ON cot.tb_documento_id=d.tb_documento_id
		LEFT JOIN tb_cliente c ON cot.tb_cliente_id=c.tb_cliente_id
		LEFT JOIN tb_usuario u on u.tb_usuario_id = cot.tb_usuario_id
		inner join tb_puntoventa pv on pv.tb_puntoventa_id = cot.tb_puntoventa_id
		LEFT JOIN tb_empresa emp ON emp.tb_empresa_id=pv.tb_empresa_id
		WHERE cot.tb_cotizacion_xac=1 ";
		if($docnum!=""){
			$sql.=" AND cot.tb_cotizacion_numdoc = '$docnum' ";
		}else{
			$sql.=" AND cot.tb_cotizacion_fec BETWEEN '$fec1' AND '$fec2' ";
			if($mon_id>0)$sql.=" AND cot.tb_moneda_id = $mon_id ";
			if($cli_id>0) $sql .= " AND cot.tb_cliente_id='$cli_id' ";
			if($cmb_est>0) $sql .= " AND cot.tb_cotizacion_est='$cmb_est' ";
			if($punven_id>0) $sql .= " AND cot.tb_puntoventa_id='$punven_id' ";
		}
		
		$sql.='order by cot.tb_cotizacion_id desc';
						
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrarUno($id){
		$sql = "SELECT pv.tb_empresa_id as 'emp',cot.tb_puntoventa_id as 'punvenid',cot.*,d.*,c.*,u.* FROM tb_cotizacion cot
		INNER JOIN tb_documento d ON cot.tb_documento_id=d.tb_documento_id
		LEFT JOIN tb_mecanico mc ON mc.tb_mecanico_id = cot.tb_mecanico_id
		LEFT JOIN tb_cliente c ON cot.tb_cliente_id=c.tb_cliente_id
		LEFT JOIN tb_usuario u on u.tb_usuario_id = cot.tb_usuario_id
		inner join tb_puntoventa pv on pv.tb_puntoventa_id = cot.tb_puntoventa_id
		LEFT JOIN tb_empresa emp ON emp.tb_empresa_id=pv.tb_empresa_id
		WHERE cot.tb_cotizacion_xac='1' and cot.tb_cotizacion_id = '$id' ";
		 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrarCotizaciondetalle($cotid){
		$sql="SELECT * FROM tb_cotizaciondetalle cd 
inner join tb_marca mar on mar.tb_marca_id = cd.tb_marca_id
WHERE cd.tb_cotizacion_id = '$cotid' ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function buscarUno($cot_id) {
		$sql = "SELECT * FROM tb_cotizacion WHERE tb_cotizacion_xac='1' AND tb_cotizacion_id='$cot_id'";
				
		$oCado = new Cado();
		$rst = $oCado->ejecute_sql($sql);
		return mysqli_fetch_assoc($rst);
	}
	
	function convertir_hash($id){
	$key = 'EixMKU90GHKJGhDVN78A';
	$sql="SELECT * FROM tb_cotizacion
	WHERE MD5(concat('$key',tb_cotizacion_id)) = '$id'";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
}
?>